#include <string.h>

#include <a8/a8.h>
#include <a8/mutable_xobject.h>

#include <f8/f8.h>
#include <f8/jsonhttprequest.h>

namespace f8
{

    JsonHttpRequest::JsonHttpRequest()
    {
        params = std::make_shared<a8::XObject>();
        resp_xobj = a8::MutableXObject::CreateObject();
    }

    JsonHttpRequest::~JsonHttpRequest()
    {
        if (context && free_context)  {
            free_context(context);
        }
    }

    std::string JsonHttpRequest::Response()
    {
        std::string response;
        resp_xobj->ToJsonStr(response);
        return a8::HttpResponse(response);
    }

}
